#include <iostream>

using namespace std;

int main()
{

    long long rez=1,n,pon=0,reg=1,duplikati=0;
    cin>>n;
    string s;
    cin>>s;
    if(n<=26)
    {
        rez=0;
        cout<<rez<<endl;
        return 0;
    }
    for(int i=0; i<n; i++)
    {
        if(s[i]==s[i+1])
        {
            reg++;

        }
        else
        {
            rez=rez*reg;
            duplikati=duplikati+reg-1;
            reg=1;
        }


    }
    long long m;
    m=1000000007;
    cout<<rez%m<<endl;
    return 0;
}